/***************************************************************************
                          myviewpropertyclass.h  -  description
                             -------------------
    begin                : Mon Jul 9 2001
    copyright            : (C) 2001 by Rdiger Knrig
    email                : ruediger@knoerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYVIEWPROPERTYCLASS_H
#define MYVIEWPROPERTYCLASS_H

#include <qwidget.h>
#include <qcolor.h>
#include <qlineedit.h>
#include "mycolorbutton.h"
#include <viewpropertiesdialog.h>

/**	
	* dialog for setting up view-specific
	* parameters like bg-color etc.
  *	@author Rdiger Knrig
  */

class MyViewPropertyClass : public ViewSettingsDialog  {
   Q_OBJECT
public: 
	MyViewPropertyClass(QWidget *parent=0, const char *name=0);
	~MyViewPropertyClass();
	float getFocalLength() {return focallengthentry->text().toFloat(); }
	QColor getBGColor() { return bgcolorselector->getColor(); }
public slots: // Public slots
  /** set focal length entry */
  void slotSetFocalLength(float bw);
  void slotSetBGColor(const QColor &c) { bgcolorselector->slotSetColor(c); }
};

#endif
